@charset "UTF-8";
/* ローディング画面 */
#splash {
  position: fixed;
  width: 100%;
  height: 100%;
  background: #f6f6f6;
  z-index: 999999;
  text-align: center;
  color: #333;
}

#splash-logo {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 2.5rem;
}

#splash-logo img {
  animation: bgLogoAnime 1s steps(2, end) 0s infinite;
  width: 80px;
  margin-bottom: 0.5rem;
}

@keyframes bgLogoAnime {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(-40deg);
  }
}

/* 画面遷移の後現れるコンテンツ設定 */
#container {
  position: relative;
  opacity: 0;
}

/* bodyにappearクラスがついたら出現 */
body.appear #container {
  animation-name: PageAnimeAppear;
  animation-duration: 1s;
  animation-delay: 0.2s;
  animation-fill-mode: forwards;
  opacity: 0;
}

@keyframes PageAnimeAppear {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

main::after {
  content: "";
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: url(../images/bg-books.png) repeat;
  background-size: 600px;
  z-index: -1;
}

.sec {
  background: #f6f6f6;
}

/* 横スライドの文章 */
.x-slide .sec {
  position: relative;
  border: 1px #333 solid;
}

.x-slide .sec .sec-contents {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  height: calc(100% - 240px);
}

.x-slide .fake {
  border: 1px #333 solid;
}

.p-slide {
  position: absolute;
  left: 0;
  bottom: 0;
  color: #333;
  background-color: #f6f6f6;
  padding: 0.1rem 0.5rem;
  z-index: 3;
}

.p-scroll {
  position: absolute;
  left: 0;
  bottom: 0;
}

/* ホームヒーロー */
#home-hero {
  height: 100vh;
  background: url(../images/shelf-store.jpg) top center/cover;
}

.home-hero-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  text-align: center;
  z-index: 3;
  translate: 0 -50%;
}

.home-hero-content .logo {
  width: 250px;
  margin-bottom: 1.5rem;
  position: relative;
}

.home-hero-content h1 {
  display: inline-block;
  margin: auto;
  color: #f6f6f6;
  font-size: 1.3rem;
  font-weight: bold;
  text-align: left;
  text-shadow: 2px 2px 2px #333;
  letter-spacing: 0.125rem;
}

/* 3ページ目以降 上部固定ナビゲーション */
.fixed-nav {
  height: 240px;
  text-align: center;
  background-color: #cec0a0;
  padding: 2rem;
}

.fixed-nav .logo {
  display: block;
  width: 150px;
  margin: 0 auto 1.5rem;
}

.fixed-nav div {
  display: inline-block;
  margin-right: auto;
  margin-left: auto;
}

.fixed-nav p {
  text-align: left;
  font-weight: bold;
}

/* 3ページ目以降 */
.intro-sec {
  height: 100vh;
  margin-left: auto;
  margin-right: auto;
  background-color: #f6f6f6;
}

.p-introduction {
  text-align: justify;
  padding-right: 10px;
  padding-left: 10px;
}

#home-bookshelf .main-img {
  display: block;
  height: 200px;
  width: auto;
  padding-left: 10px;
  padding-right: 10px;
  margin-left: auto;
  margin-right: auto;
  object-fit: cover;
}

/* ｈ２見出し */
.home-h2 {
  flex-direction: column;
  text-align: center;
  align-items: center;
  margin-bottom: 5rem;
  transform: translateY(2rem);
}

.home-h2 h2 {
  writing-mode: vertical-rl;
  padding: 1rem;
  font-size: 1.4rem;
}

.home-h2 span {
  border-top: 1px #333 solid;
  font-size: 1.2rem;
  line-height: 1;
  padding-top: 1rem;
}

/* もっと見るボタン */
#home-owner .btn-more {
  background-color: #566f68;
}

#home-bookshelf .btn-more {
  background-color: #ae4c32;
}

/* 縦スクロールエリア */
.y-scroll .sec {
  margin-top: 3rem;
  margin-bottom: 5rem;
}

/* アクセス */
iframe {
  margin-bottom: 1rem;
}

#home-access p {
  margin-bottom: 2rem;
  font-size: 1rem;
}

.access-dl {
  border-top: 1px #333 solid;
  border-bottom: 1px #333 solid;
  margin: 0.5rem 0;
  padding: 0.55rem;
}

.access-dl dl {
  display: flex;
}

.access-dl dl:not(:last-child) {
  padding-bottom: 0.5rem;
}

.access-dl dt {
  width: 30%;
}

.access-dl dd {
  width: 1fr;
}

@media screen and (min-width: 768px) {
  .sp-only {
    display: none;
  }
  #home .x-slide {
    max-height: 800px;
  }
  #home .sec-contents {
    margin: 0 3rem;
    height: 100%;
    justify-content: space-evenly;
  }
  #home .y-scroll {
    padding: 0 2rem;
  }
  #home .y-scroll .sec {
    padding-top: 3rem;
    padding-bottom: 3rem;
    margin-top: 0;
    margin-bottom: 0;
    border-bottom: 1px solid #333;
    justify-content: flex-start;
  }
  #home .y-scroll .sec:first-child {
    margin-top: 3rem;
  }
  #home .y-scroll .sec:last-child {
    margin-bottom: 5rem;
  }
  #home .y-scroll .sec > div {
    width: 50%;
  }
  #home #home-information dl {
    margin-bottom: 1rem;
  }
  #home #home-information dt {
    margin-right: 2rem;
  }
  #home #home-information dd {
    text-indent: 1rem;
  }
}
